File: resource_provider_allocations.inc

package info (click to toggle)
placement 14.0.0-2
  • links: PTS, VCS
  • area: main
  • in suites: forky, sid
  • size: 3,380 kB
  • sloc: python: 17,629; sh: 310; makefile: 61; pascal: 30
file content (40 lines) | stat: -rw-r--r-- 964 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
=============================
Resource provider allocations
=============================

See `Allocations`_ for a description.

List resource provider allocations
==================================

Return a representation of all allocations made against this resource
provider, keyed by consumer uuid. Each allocation includes one or more
classes of resource and the amount consumed.

.. rest_method:: GET /resource_providers/{uuid}/allocations

Normal Response Codes: 200

Error response codes: itemNotFound(404)

Request
-------

.. rest_parameters:: parameters.yaml

  - uuid: resource_provider_uuid_path

Response
--------

.. rest_parameters:: parameters.yaml

  - allocations: resource_provider_allocations
  - resources: resources
  - resource_provider_generation: resource_provider_generation

Response Example
----------------

.. literalinclude:: ./samples/resource_provider_allocations/get-resource_provider_allocations.json
   :language: javascript